From 04a0d2dc78a715ebe54345287a5b335e9f7a52b0 Mon Sep 17 00:00:00 2001
From: Joel Jacobson <joel@compiler.org>
Date: Tue, 15 Oct 2024 01:32:56 +0200
Subject: [PATCH 04/16] Set default format if not specified.

---
 src/backend/commands/copy.c | 8 ++++++++
 1 file changed, 8 insertions(+)

diff --git a/src/backend/commands/copy.c b/src/backend/commands/copy.c
index effe337229..c068c61bcc 100644
--- a/src/backend/commands/copy.c
+++ b/src/backend/commands/copy.c
@@ -671,6 +671,14 @@ ProcessCopyOptions(ParseState *pstate,
 					 parser_errposition(pstate, defel->location)));
 	}
 
+	/*
+	 * Set default format if not specified.
+	 * This isn't strictly necessary since COPY_FORMAT_TEXT is 0 and
+	 * opts_out is palloc0'd, but do it for clarity.
+	 */
+	if (!format_specified)
+		opts_out->format = COPY_FORMAT_TEXT;
+
 	/*
 	 * Check for incompatible options (must do these three before inserting
 	 * defaults)
-- 
2.45.1

